package intrinsic.mx.utils;

public class ObjectUtil extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ObjectUtil() {
}


/** Static Methods */
public static native int numericCompare(double arg0, double arg1);
public static native String toString(Object arg0);
public static native String toString(Object arg0, intrinsic.Array arg1);
public static native String toString(Object arg0, intrinsic.Array arg1, intrinsic.Array arg2);
public static native int stringCompare(String arg0, String arg1);
public static native int stringCompare(String arg0, String arg1, boolean arg2);
public static native Object copy(Object arg0);
public static native int dateCompare(intrinsic.Date arg0, intrinsic.Date arg1);
public static native int compare(Object arg0, Object arg1);
public static native int compare(Object arg0, Object arg1, int arg2);
public static native boolean isSimple(Object arg0);
public static native Object getClassInfo(Object arg0);
public static native Object getClassInfo(Object arg0, intrinsic.Array arg1);
public static native Object getClassInfo(Object arg0, intrinsic.Array arg1, Object arg2);
public static native boolean hasMetadata(Object arg0, String arg1, String arg2);
public static native boolean hasMetadata(Object arg0, String arg1, String arg2, intrinsic.Array arg3);
public static native boolean hasMetadata(Object arg0, String arg1, String arg2, intrinsic.Array arg3, Object arg4);

/** Methods */

}
